import { stopwords } from './stopwords';

var wordOccs = {};
var wordOccsObj = [];

export function extractContent(s){
  const span = document.createElement('span');
  span.innerHTML = s;
  return span.textContent || span.innerText;
};


function wordOccurences(string) {
  var words = string
    .replace(/[.]/g, '')
    .split(/\s/);
  words.forEach(function (w) {
    let wlc = w.toLowerCase();
    if (!stopwords.has(wlc)) {
      if (!wordOccs[wlc]) {
        wordOccs[wlc] = 0;
      }
      wordOccs[wlc] += 1;
    }
  });
  return wordOccs;
}

export function format(data) {
  wordOccs = {};
	wordOccsObj = [];

  data.forEach((s) => {
    wordOccurences(s);
  });

  for (const property in wordOccs) {
    var elt = {};
    elt.word = property;
    elt.count = wordOccs[property];
    wordOccsObj.push(elt);
  }

  wordOccsObj.sort(function (a, b) {
    return a.count - b.count;
  });

  data = wordOccsObj.slice(1).slice(-10);
  return data;
}